Bug 193529 - Review Request: radiusclient-ng - RADIUS protocol client library
Summary: Review Request: radiusclient-ng - RADIUS protocol client library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-05-30 03:00 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 19:06:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2006-05-30 03:00:28 UTC
Spec URL: http://www.ocjtech.us/radiusclient-ng-0.5.2-1.spec
SRPM URL: http://www.ocjtech.us/radiusclient-ng-0.5.2-1.src.rpm
Description:

Portable, easy-to-use and standard compliant library suitable for
developing free and commercial software that need support for a RADIUS
protocol (RFCs 2128 and 2139).

Comment 1 Jason Tibbitts 2006-07-11 03:35:57 UTC
This failed to build for me due to the autotools no longer being in the default
build environment.  I tried to get rid of that and use the usual "make
LIBTOOL=blah" bit, but the included makefile doesn't seem to support DESTDIR
either, so perhaps it is better to run all of the autotools.

Comment 2 Jeffrey C. Ollie 2006-07-11 13:10:39 UTC
Spec URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/radiusclient-ng-0.5.2-2.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/5/SRPMS/radiusclient-ng-0.5.2-2.src.rpm

* Tue Jul 11 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5.2-2
- Add BR so that building in minimal buildroot works
- Run libtoolize.


Comment 3 Jason Tibbitts 2006-07-11 18:28:05 UTC
Both of those URLs give 404 errors, but I found the proper files in that directory.

Running autotools and libtoolize are generally avoided in Fedora Extras. 
However, not only does this package have an rpath problem, but DESTDIR doesn't
work in the makefile and the patches requires many fixes to various .in files
which would be much more complicated to make after configure has processed them.
 So in this case I do think it reasonable to do what you're doing.

rpmlint complains:
   E: radiusclient-ng non-readable /etc/radiusclient-ng/servers 0600
which is acceptable for a server configuration file.

Nothing seems to own /etc/radiusclient-ng; this is a blocker.

Since there's just one issue and the fix is simple, I'll go ahead and approve
and you can fix it when you check in.

Review:
* source files match upstream:
   c54eb70e964bdd22dd44b39a9b4df8ca  radiusclient-ng-0.5.2.tar.gz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
 *license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* Compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
O rpmlint has only ignorable complaints.
* debuginfo package looks complete.
* final provides and requires are sane:
  radiusclient-ng-0.5.2-2.fc6.x86_64.rpm
   config(radiusclient-ng) = 0.5.2-2.fc6
   libradiusclient-ng.so.2()(64bit)
   radiusclient-ng = 0.5.2-2.fc6
  =
   /sbin/ldconfig
   config(radiusclient-ng) = 0.5.2-2.fc6
   libradiusclient-ng.so.2()(64bit)

  radiusclient-ng-devel-0.5.2-2.fc6.x86_64.rpm
   radiusclient-ng-devel = 0.5.2-2.fc6
  =
   libradiusclient-ng.so.2()(64bit)
   radiusclient-ng = 0.5.2-2.fc6

  radiusclient-ng-utils-0.5.2-2.fc6.x86_64.rpm
   radiusclient-ng-utils = 0.5.2-2.fc6
  =
   /bin/sh
   libradiusclient-ng.so.2()(64bit)
   radiusclient-ng = 0.5.2-2.fc6

* %check is not present; no test suite upstream.
* shared libraries are present; ldconfig is called and unversioned .so files are
in the -devel subpackage.
* package is not relocatable.
X owns the directories it creates (/etc/radiusclient-ng).
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets present are OK (calls to ldconfig)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackage.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED, just make sure you own /etc/radiusclient-ng.

Comment 4 Jeffrey C. Ollie 2006-07-11 19:06:57 UTC
Thanks for the review!  Package imported, built for rawhide, branches for FC-4
and FC-5 requested.

Comment 5 Jeffrey C. Ollie 2007-08-15 16:55:59 UTC
Package Change Request
======================
Package Name: radiusclient-ng
New Branches: EL-5
Updated EPEL Owners: jcollie (jeff@ocjtech.us)


Comment 6 Kevin Fenzi 2007-08-15 17:54:19 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.